### Function Macro

# GLib ascii_isspace

#### Declaration [src]

    #define g_ascii_isspace (
      c
    )

#### Description [src]

Determines whether a character is a white-space character.

Unlike the standard C library `isspace()` function, this only recognizes standard ASCII white-space and ignores the locale, returning false for all non-ASCII characters. Also, unlike the standard library function, this takes a `char`, not an `int`, so don’t call it on `EOF`, but no need to cast to `guchar` before passing a possibly non-ASCII character in.

This function is not directly available to language bindings.

#### Parameters

`c`

  Type: `-`

  Any character.